新建会话
curl --request POST \
--url https://api.devin.ai/v1/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"idempotent": false,
"knowledge_ids": [
"<string>"
],
"max_acu_limit": 1,
"playbook_id": "<string>",
"secret_ids": [
"<string>"
],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": true
}
],
"snapshot_id": "<string>",
"structured_output_schema": {},
"tags": [
"<string>"
],
"title": "<string>",
"unlisted": false
}
'import requests
url = "https://api.devin.ai/v1/sessions"
payload = {
"prompt": "<string>",
"idempotent": False,
"knowledge_ids": ["<string>"],
"max_acu_limit": 1,
"playbook_id": "<string>",
"secret_ids": ["<string>"],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": True
}
],
"snapshot_id": "<string>",
"structured_output_schema": {},
"tags": ["<string>"],
"title": "<string>",
"unlisted": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
idempotent: false,
knowledge_ids: ['<string>'],
max_acu_limit: 1,
playbook_id: '<string>',
secret_ids: ['<string>'],
session_secrets: [{key: '<string>', value: '<string>', sensitive: true}],
snapshot_id: '<string>',
structured_output_schema: {},
tags: ['<string>'],
title: '<string>',
unlisted: false
})
};
fetch('https://api.devin.ai/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/v1/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'idempotent' => false,
'knowledge_ids' => [
'<string>'
],
'max_acu_limit' => 1,
'playbook_id' => '<string>',
'secret_ids' => [
'<string>'
],
'session_secrets' => [
[
'key' => '<string>',
'value' => '<string>',
'sensitive' => true
]
],
'snapshot_id' => '<string>',
'structured_output_schema' => [
],
'tags' => [
'<string>'
],
'title' => '<string>',
'unlisted' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/v1/sessions"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"idempotent\": false,\n \"knowledge_ids\": [\n \"<string>\"\n ],\n \"max_acu_limit\": 1,\n \"playbook_id\": \"<string>\",\n \"secret_ids\": [\n \"<string>\"\n ],\n \"session_secrets\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"snapshot_id\": \"<string>\",\n \"structured_output_schema\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unlisted\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devin.ai/v1/sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"idempotent\": false,\n \"knowledge_ids\": [\n \"<string>\"\n ],\n \"max_acu_limit\": 1,\n \"playbook_id\": \"<string>\",\n \"secret_ids\": [\n \"<string>\"\n ],\n \"session_secrets\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"snapshot_id\": \"<string>\",\n \"structured_output_schema\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unlisted\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/v1/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"idempotent\": false,\n \"knowledge_ids\": [\n \"<string>\"\n ],\n \"max_acu_limit\": 1,\n \"playbook_id\": \"<string>\",\n \"secret_ids\": [\n \"<string>\"\n ],\n \"session_secrets\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"snapshot_id\": \"<string>\",\n \"structured_output_schema\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unlisted\": false\n}"
response = http.request(request)
puts response.read_body{
"session_id": "<string>",
"url": "<string>",
"is_new_session": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}会话端点
新建会话
使用 v1 API 创建新的 Devin 会话。内容涵盖所需权限、30,000 字符的提示长度上限、标签限额以及 schema 规则。
POST
/
v1
/
sessions
新建会话
curl --request POST \
--url https://api.devin.ai/v1/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"idempotent": false,
"knowledge_ids": [
"<string>"
],
"max_acu_limit": 1,
"playbook_id": "<string>",
"secret_ids": [
"<string>"
],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": true
}
],
"snapshot_id": "<string>",
"structured_output_schema": {},
"tags": [
"<string>"
],
"title": "<string>",
"unlisted": false
}
'import requests
url = "https://api.devin.ai/v1/sessions"
payload = {
"prompt": "<string>",
"idempotent": False,
"knowledge_ids": ["<string>"],
"max_acu_limit": 1,
"playbook_id": "<string>",
"secret_ids": ["<string>"],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": True
}
],
"snapshot_id": "<string>",
"structured_output_schema": {},
"tags": ["<string>"],
"title": "<string>",
"unlisted": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
idempotent: false,
knowledge_ids: ['<string>'],
max_acu_limit: 1,
playbook_id: '<string>',
secret_ids: ['<string>'],
session_secrets: [{key: '<string>', value: '<string>', sensitive: true}],
snapshot_id: '<string>',
structured_output_schema: {},
tags: ['<string>'],
title: '<string>',
unlisted: false
})
};
fetch('https://api.devin.ai/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/v1/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'idempotent' => false,
'knowledge_ids' => [
'<string>'
],
'max_acu_limit' => 1,
'playbook_id' => '<string>',
'secret_ids' => [
'<string>'
],
'session_secrets' => [
[
'key' => '<string>',
'value' => '<string>',
'sensitive' => true
]
],
'snapshot_id' => '<string>',
'structured_output_schema' => [
],
'tags' => [
'<string>'
],
'title' => '<string>',
'unlisted' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/v1/sessions"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"idempotent\": false,\n \"knowledge_ids\": [\n \"<string>\"\n ],\n \"max_acu_limit\": 1,\n \"playbook_id\": \"<string>\",\n \"secret_ids\": [\n \"<string>\"\n ],\n \"session_secrets\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"snapshot_id\": \"<string>\",\n \"structured_output_schema\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unlisted\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devin.ai/v1/sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"idempotent\": false,\n \"knowledge_ids\": [\n \"<string>\"\n ],\n \"max_acu_limit\": 1,\n \"playbook_id\": \"<string>\",\n \"secret_ids\": [\n \"<string>\"\n ],\n \"session_secrets\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"snapshot_id\": \"<string>\",\n \"structured_output_schema\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unlisted\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/v1/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"idempotent\": false,\n \"knowledge_ids\": [\n \"<string>\"\n ],\n \"max_acu_limit\": 1,\n \"playbook_id\": \"<string>\",\n \"secret_ids\": [\n \"<string>\"\n ],\n \"session_secrets\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"sensitive\": true\n }\n ],\n \"snapshot_id\": \"<string>\",\n \"structured_output_schema\": {},\n \"tags\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unlisted\": false\n}"
response = http.request(request)
puts response.read_body{
"session_id": "<string>",
"url": "<string>",
"is_new_session": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}使用默认的 Member 和 Admin 角色时,任何 API 密钥都可以调用此端点。在企业版中,自定义或修改过的 role 必须包含 使用 Devin 会话 权限 (
UseDevinSessions) 。
会话将以该 API 密钥所属用户的身份创建。
限额与验证
prompt不得超过 30,000 个字符;超出长度的提示将返回400。tags最多接受 50 个标签,每个标签必须是不超过 256 个字符的非空字符串。如果企业强制执行必填标签,使用保留标签名称的请求将被拒绝并返回400。structured_output_schema必须是有效的 JSON Schema (Draft 7) ,根级须为"type": "object",不得包含外部$ref,且大小不超过 64 KB;否则请求将返回400。- 响应中的
is_new_session仅在请求使用了idempotency_key(或已弃用的idempotent) 时才会设置;否则为null。
请求体
application/json

